import request from '@/utils/request';

export function userList(limit, page,) { // 用户列表
  return request({
    url: 'user/HUserList?page=' + page + '&limit=' + limit,
    method: 'get',
  });
}

export function userDelete(data) {
  return request({
    url: 'user/deleteuser',
    method: 'post',
    data,
  });
}

export function userDataInfo(id) {
  return request({
    url: '/user/Upuser?userid=' + id,
    method: 'get',
  });
}

export function userSeek(data) {
  return request({
    url: '/user/userSeek',
    method: 'post',
    data,
  });
}

export function postUpUser(data) {
  return request({
    url: '/user/Upuser',
    method: 'post',
    data,
  });
}

export function paperBasket() {
  return request({
    url: '/user/paperBasket',
    method: 'get',
  });
}

export function UpPaperBasket(id) {
  return request({
    url: '/user/UpPaperBasket/' + id,
    method: 'get',
  });
}

export function UpuserForbidden(id) {
  return request({
    url: '/user/UpuserForbidden/' + id,
    method: 'get',
  });
}

export function paperBasketList() {
  return request({
    url: '/user/paperBasketList',
    method: 'get',
  });
}

export function userLocation() {
  return request({
    url: '/user/userLocation',
    method: 'get',
  });
}

export function areachina() {
  return request({
    url: '/user/areachina',
    method: 'get',
  });
}

export function areachinapost(data) {
  return request({
    url: '/user/areachina',
    method: 'post',
    data,
  });
}
